## NMSettingOvsOtherConfig

NMSettingOvsOtherConfig — Other-config settings for OVS

## Functions

NMSetting * | nm_setting_ovs_other_config_new ()
const char *const * | nm_setting_ovs_other_config_get_data_keys ()
const char * | nm_setting_ovs_other_config_get_data ()
void | nm_setting_ovs_other_config_set_data ()

## Types and Values

#define | NM_SETTING_OVS_OTHER_CONFIG_SETTING_NAME
#define | NM_SETTING_OVS_OTHER_CONFIG_DATA

## Description

The NMSettingOvsOtherConfig object is a NMSetting subclass that specifies "other_config" settings for OVS. See also "other_config" in the "ovs-vswitchd.conf.db" manual for the keys that OVS supports.

## Functions

### nm_setting_ovs_other_config_new ()

    NMSetting *
    nm_setting_ovs_other_config_new (void);

Creates a new NMSettingOvsOtherConfig object with default values.

#### Returns

the new empty NMSettingOvsOtherConfig object.

[transfer full][type NMSettingOvsOtherConfig]

Since: 1.42

### nm_setting_ovs_other_config_get_data_keys ()

    const char *const *
    nm_setting_ovs_other_config_get_data_keys
                                   (NMSettingOvsOtherConfig *setting,
                                    guint *out_len);

#### Parameters

setting | the NMSettingOvsOtherConfig |
out_len | the length of the returned array. | [out]

#### Returns

a `NULL`-terminated array containing each key from the table.

[array length=out_len][transfer none]

Since: 1.42

### nm_setting_ovs_other_config_get_data ()

    const char *
    nm_setting_ovs_other_config_get_data (NMSettingOvsOtherConfig *setting,
                                          const char *key);

#### Parameters

setting | the NMSettingOvsOtherConfig instance |
key | the other-config to lookup |

#### Returns

the value associated with `key` or `NULL` if no such value exists.

[transfer none]

Since: 1.42

### nm_setting_ovs_other_config_set_data ()

    void
    nm_setting_ovs_other_config_set_data (NMSettingOvsOtherConfig *setting,
                                          const char *key,
                                          const char *val);

#### Parameters

setting | the NMSettingOvsOtherConfig instance |
key | the key to set |
val | the value to set or `NULL` to clear a key. | [nullable]

Since: 1.42

## Types and Values

### NM_SETTING_OVS_OTHER_CONFIG_SETTING_NAME

    #define NM_SETTING_OVS_OTHER_CONFIG_SETTING_NAME "ovs-other-config"

### NM_SETTING_OVS_OTHER_CONFIG_DATA

    #define NM_SETTING_OVS_OTHER_CONFIG_DATA "data"